aboutsummaryrefslogtreecommitdiff
path: root/ci
diff options
context:
space:
mode:
authorMarcoFalke <*~=`'#}+{/-|&$^_@721217.xyz>2023-12-15 17:01:06 +0100
committerMarcoFalke <*~=`'#}+{/-|&$^_@721217.xyz>2024-03-14 09:14:06 +0100
commitfae70ba00da27ca5734c88e9964c872c7faa0f78 (patch)
tree7675b32f9b3cda08f6eef0da7518b93b89f34718 /ci
parent264ca9db240158403f6b9076d2fd5ef2522c391b (diff)
downloadbitcoin-fae70ba00da27ca5734c88e9964c872c7faa0f78.tar.xz
ci: Better tidy errors
Diffstat (limited to 'ci')
-rwxr-xr-xci/test/03_test_script.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/ci/test/03_test_script.sh b/ci/test/03_test_script.sh
index 786cb08bf6..d85e24a5c0 100755
--- a/ci/test/03_test_script.sh
+++ b/ci/test/03_test_script.sh
@@ -182,7 +182,11 @@ if [ "${RUN_TIDY}" = "true" ]; then
set -eo pipefail
cd "${BASE_BUILD_DIR}/bitcoin-$HOST/src/"
- ( run-clang-tidy-"${TIDY_LLVM_V}" -quiet -load="/tidy-build/libbitcoin-tidy.so" "${MAKEJOBS}" ) | grep -C5 "error"
+ if ! ( run-clang-tidy-"${TIDY_LLVM_V}" -quiet -load="/tidy-build/libbitcoin-tidy.so" "${MAKEJOBS}" | tee tmp.tidy-out.txt ); then
+ grep -C5 "error: " tmp.tidy-out.txt
+ echo "^^^ ⚠️ Failure generated from clang-tidy"
+ false
+ fi
# Filter out files by regex here, because regex may not be
# accepted in src/.bear-tidy-config
# Filter out: